List Instagram user reels
Returns reels from a public Instagram profile, identified by username_or_id. Pass max_id from the previous response's paging_info.max_id for the next page.
2 credits / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
username_or_id*string
Username without the @, or numeric user ID, of a public account. The numeric ID is the pk or id field of a profile object.
Length
1 <= lengthmax_id?string
Pass the previous response's paging_info.max_id value.
curl -X GET "https://example.com/v2/instagram/user/reels?username_or_id=nasa" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "items": [ { "media": { "property1": null, "property2": null }, "property1": null, "property2": null } ], "paging_info": { "max_id": "string", "property1": null, "property2": null }, "property1": null, "property2": null }}